# MPI_T_pvar_get_info

Get the inforamtion about a performance variable

## Synopsis

    int MPI_T_pvar_get_info(int pvar_index, char *name, int *name_len, int *verbosity,
                            int *var_class, MPI_Datatype * datatype, MPI_T_enum * enumtype, char *desc,
                            int *desc_len, int *binding, int *readonly, int *continuous, int *atomic)

## Input/Output Parameters

name_len
  length of the string and/or buffer for name (integer)
desc_len
  length of the string and/or buffer for desc (integer)

## Input Parameters

pvar_index
  index of the performance variable to be queried between 0 and num_pvar-1 (integer)

## Output Parameters

name
  buffer to return the string containing the name of the performance variable (string)
verbosity
  verbosity level of this variable (integer)
var_class
  class of performance variable (integer)
datatype
  MPI type of the information stored in the performance variable (handle)
enumtype
  optional descriptor for enumeration information (handle)
desc
  buffer to return the string containing a description of the performance variable (string)
binding
  type of MPI object to which this variable must be bound (integer)
readonly
  flag indicating whether the variable can be written/reset (integer)
continuous
  flag indicating whether the variable can be started and stopped or is continuously active (integer)
atomic
  flag indicating whether the variable can be atomically read and reset (integer)

## Thread and Interrupt Safety

This routine is thread-safe. This means that this routine may be safely used by multiple threads without the need for any user-provided thread locks. However, the routine is not interrupt safe. Typically, this is due to the use of memory allocation routines such as `malloc` or other non-MPICH runtime routines that are themselves not interrupt-safe.

## Errors

All MPI routines (except `MPI_Wtime` and `MPI_Wtick`) return an error value; C routines as the value of the function and Fortran routines in the last argument. Before the value is returned, the current MPI error handler is called. By default, this error handler aborts the MPI job. The error handler may be changed with `MPI_Comm_set_errhandler` (for communicators), `MPI_File_set_errhandler` (for files), and `MPI_Win_set_errhandler` (for RMA windows). The MPI-1 routine `MPI_Errhandler_set` may be used but its use is deprecated. The predefined error handler `MPI_ERRORS_RETURN` may be used to cause error values to be returned. Note that MPI does not guarentee that an MPI program can continue past an error; however, MPI implementations will attempt to continue whenever possible.

MPI_SUCCESS
  No error; MPI routine completed successfully.

MPI_T_ERR_NOT_INITIALIZED
  The MPI tool information interface is not initialized.

MPI_T_ERR_INVALID_INDEX
  Index is invalid or has been deleted.